Page MenuHomePhabricator

Enable wikilove on slwiki
Closed, ResolvedPublic

Description

Hello!
I in the name of slovenian Wikipedia, want to deploy WikiLove, since it was voted. If you have any questions, just contact me. Here is the voting link: https://sl.wikipedia.org/wiki/Wikipedija:Pod_lipo#WikiLove
Thank you
Mitjas1

Event Timeline

Mitjas1 created this task.Jun 8 2020, 5:28 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJun 8 2020, 5:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Mitjas1: Hi and welcome to Wikimedia Phabricator! For future reference, please follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes when requesting such kinds of changes. Thanks!

Hello!
I read that and I think it is eligable. Will you accept this issue?
Thank you so much and sory for my bad english
-Mitjas1

And I would like to ask, if WikiLove.js updates by itself, or I should write again for updating
Thank you
-Mitjas1

I'm not sure what you mean by "accept". You created this request here, it is public, and somebody might decide to work on this. :)
What exactly is "WikiLove.js"? Please provide more context, and why you think that something needs to "get updated" somewhere. Thanks!

This should be as simple as adding to https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/InitialiseSettings.php#L18267 (on gerrit)

If you want the wiki love extension enabling on slwiki, I can do that.

RhinosF1 renamed this task from Slovenian Wikipedia - WikiLove request for deployment to Enable wikilove on slwiki.Jun 8 2020, 12:51 PM
RhinosF1 claimed this task.
RhinosF1 moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
Restricted Application added a project: User-RhinosF1. · View Herald TranscriptJun 8 2020, 12:52 PM
RhinosF1 moved this task from Radar to Configuration on the User-RhinosF1 board.Jun 8 2020, 12:52 PM

Change 603453 had a related patch set uploaded (by RhinosF1; owner: RhinosF1):
[operations/mediawiki-config@master] Enable WikiLove on slwiki

https://gerrit.wikimedia.org/r/603453

RhinosF1 triaged this task as Medium priority.Jun 8 2020, 12:56 PM
RhinosF1 moved this task from Working on to To deploy on the Wikimedia-Site-requests board.

@RhinosF1 Hello and thank you! When will it be deployed?
@Aklapper WikiLove.js is an essential file for WikiLove! With "accept", I thought that you didn't want to do it, because you wrote me a link to how to make issues
Thank you
-Mitjas1

@RhinosF1 Hello and thank you! When will it be deployed?

Probably tonight

@Aklapper WikiLove.js is an essential file for WikiLove! With "accept", I thought that you didn't want to do it, because you wrote me a link to how to make issues
Thank you
-Mitjas1

@Mitjas1: I wrote "For future reference", if/when you create more such tickets. :)

@Aklapper Yes, thank you. I missunderstood

And have this deployed only WikiLove.js, or is this extension fully deployed. If so, how can we install/enable it. Thank you -Mitjas1

And have this deployed only WikiLove.js, or is this extension fully deployed. If so, how can we install/enable it. Thank you -Mitjas1

I will update on here when the extension is deployed. I have the patch ready.

Mentioned in SAL (#wikimedia-operations) [2020-06-09T23:03:18Z] <Reedy> created wikilove_log on slwiki T254706

Change 603453 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikiLove on slwiki

https://gerrit.wikimedia.org/r/603453

RhinosF1 closed this task as Resolved.Jun 9 2020, 11:19 PM
RhinosF1 moved this task from Deployment to Done on the User-RhinosF1 board.

Thank you so much @RhinosF1
Najlepša hvala @RhinosF1
Danke, @RhinosF1
Merci, @RhinosF1

Slovenian Wikipedia thanks you so much for this.
-Mitjas1

And by the way, check your slovenian Wiki talk page! :-)
Mitjas1

And by the way, check your slovenian Wiki talk page! :-)
Mitjas1

I certainly agree, it's very nice! Your welcome!